@import '../../variables';

$light: #fff;

.icon {
  position: relative;
  top: -1px;

  &.light {
    fill: $light;

    &.pha {
      #pha {
        fill: $light;
      }
      #stc {
        fill: map-get($theme-colors, 'secondary');
      }
    }
    &.stc {
      #pha {
        fill: map-get($theme-colors, 'secondary');
      }
      #stc {
        fill: $light;
      }
    }
    &.both {
      #pha,
      #stc {
        fill: $light;
      }
    }
  }

  &.primary {
    fill: map-get($theme-colors, 'primary');

    &.pha {
      #pha {
        fill: map-get($theme-colors, 'primary');
      }
      #stc {
        fill: map-get($theme-colors, 'secondary-lightest');
      }
    }
    &.stc {
      #pha {
        fill: map-get($theme-colors, 'secondary-lightest');
      }
      #stc {
        fill: map-get($theme-colors, 'primary');
      }
    }
    &.both {
      #pha,
      #stc {
        fill: map-get($theme-colors, 'primary');
      }
    }

    &.inverted {
      fill: #fff;

      &.pha {
        #pha {
          fill: #fff;
        }
        #stc {
          fill: rgba(255, 255, 255, 0.33);
        }
      }
      &.stc {
        #pha {
          fill: rgba(255, 255, 255, 0.33);
        }
        #stc {
          fill: #fff;
        }
      }
      &.both {
        #pha,
        #stc {
          fill: #fff;
        }
      }

      .marker {
        fill: #fff;
        stroke: map-get($theme-colors, 'primary');
      }
    }
  }

  &.secondary {
    fill: map-get($theme-colors, 'secondary-lightest');

    &.inverted {
      fill: rgba(255, 255, 255, 0.33);
    }

    &.pha {
      #pha {
        fill: map-get($theme-colors, 'secondary-light');
      }
      #stc {
        fill: map-get($theme-colors, 'secondary-lightest');
      }
    }
    &.stc {
      #pha {
        fill: map-get($theme-colors, 'secondary-lightest');
      }
      #stc {
        fill: map-get($theme-colors, 'secondary-light');
      }
    }
    &.both {
      #pha,
      #stc {
        fill: map-get($theme-colors, 'secondary-light');
      }
    }
  }
}
